class SSLDataTable extends DataTableView {
	
	highlightFormatter(cellvalue) {
		if(cellvalue == 15 && cellvalue != null)
			return '<img title="Nearing expiry" class="dt-icon-alert" src="lib/layouts/images/icons/alerts/24/alert-yellow.png" alt="' + cellvalue + '">';
		else if(cellvalue == 17 && cellvalue != null)
			return '<img title="Past expiry" class="dt-icon-alert"  src="lib/layouts/images/icons/alerts/24/alert-red.png" alt="' + cellvalue + '">';
		else if(cellvalue == 20 && cellvalue != null)
			return '<img title="Name server discrepancy" class="dt-icon-alert"  src="lib/layouts/images/icons/alerts/24/tri-alert-orange.png" alt="' + cellvalue + '">';
		else if(cellvalue == 18 && cellvalue != null)
			return '<img title="Domain status alert" class="dt-icon-alert" src="lib/layouts/images/icons/alerts/24/tri-alert-red.png" alt="' + cellvalue + '">';
		else if(cellvalue == 16 && cellvalue != null)
			return '<img title="Nearing or past expiry" class="dt-icon-alert" src="lib/layouts/images/icons/alerts/24/alert-red.png" alt="' + cellvalue + '">';
		else if(cellvalue == 14 && cellvalue != null)
			return '<img title="Unknown expiry date" class="dt-icon-alert" src="lib/layouts/images/icons/alerts/24/unknown-blue.png" alt="' + cellvalue + '">';
		else if(cellvalue == 13 && cellvalue != null)
			return '<img title="No recent whois" class="dt-icon-alert" src="lib/layouts/images/icons/alerts/24/search-alert.png" alt="' + cellvalue + '">';
		else if(cellvalue == 12 && cellvalue != null)
			return '<img title="Available domain" class="dt-icon-alert" src="lib/layouts/images/icons/alerts/24/ok.png" alt="' + cellvalue + '">';
		else if(cellvalue == 11 && cellvalue != null)
			return '<img title="Requires whois search token setup" class="dt-icon-alert" src="lib/layouts/images/icons/alerts/24/tri-alert-yellow.png" alt="' + cellvalue + '">';
		else if(cellvalue == 10 && cellvalue != null)
			return '<img title="Manually edited" class="dt-icon-alert" src="lib/layouts/images/icons/alerts/24/pencil.png" alt="' + cellvalue + '">';
		else if(cellvalue == 19 && cellvalue != null)
			return '<img title="Write Protected" class="dt-icon-alert" src="lib/layouts/images/icons/alerts/24/lock.png" alt="' + cellvalue + '">';
		else if(cellvalue == null)
			return '<img class="dt-icon-alert" src="lib/layouts/images/icons/alerts/24/question.png" alt="' + cellvalue + '">';
		else
			return '<img class="dt-icon-alert" src="lib/layouts/images/icons/alerts/24/empty.png" alt="' + cellvalue + '">';
	}
}
